function FileData_Pairs(x)
{
x.t("interfaces","create");
x.t("interfaces","table");
x.t("interfaces","jms");
x.t("interfaces","common");
x.t("interfaces","soon");
x.t("interfaces","continue");
x.t("interfaces","involved");
x.t("interfaces","specific");
x.t("interfaces","structure");
x.t("interfaces","topics");
x.t("interfaces","used");
x.t("interfaces","discontinue");
x.t("possible","code");
x.t("illustrate","jms");
x.t("queuesession","topicsession");
x.t("available","queues");
x.t("receives","messages");
x.t("rather","message");
x.t("create","objects");
x.t("create","sessions");
x.t("create","connections");
x.t("create","destinations");
x.t("table","jms");
x.t("table","summarizes");
x.t("description","connectionfactory");
x.t("sending","messages");
x.t("summary","jms");
x.t("summary","common");
x.t("refers","interfaces");
x.t("creates","instances");
x.t("topic","queue");
x.t("topic","destination");
x.t("connectionfactory","queueconnectionfactory");
x.t("conditional","expression");
x.t("interface","model");
x.t("support","common");
x.t("physical","connection");
x.t("transacted","transacted");
x.t("transacted","session");
x.t("transacted","message");
x.t("older","interfaces");
x.t("older","clients");
x.t("listener","object");
x.t("topicconnectionfactory","object");
x.t("sql92","conditional");
x.t("releases","jms");
x.t("connection","provider");
x.t("connection","encapsulates");
x.t("connection","queueconnection");
x.t("(server)","connections");
x.t("single-threaded","object");
x.t("filters","used");
x.t("queue","topic");
x.t("jms","api");
x.t("jms","1.0.2b");
x.t("jms","1.1");
x.t("jms","specification");
x.t("objects","jms");
x.t("objects","used");
x.t("single","transaction");
x.t("publish","subscribe");
x.t("ems","implements");
x.t("ems","client");
x.t("ems","server");
x.t("group","messages");
x.t("subscribe","(topics)");
x.t("api","support");
x.t("api","figure");
x.t("api","object");
x.t("normally","created");
x.t("messagelistener","messagelistener");
x.t("messagelistener","message");
x.t("queues","jms");
x.t("queues","figure");
x.t("queues","topics");
x.t("summarizes","interfaces");
x.t("(queues)","publish");
x.t("common","facilities");
x.t("clients","create");
x.t("clients","jms");
x.t("handler","messages");
x.t("soon","possible");
x.t("provider","rather");
x.t("provider","(server)");
x.t("illustrates","interfaces");
x.t("illustrates","previous");
x.t("session","queuesession");
x.t("session","receives");
x.t("session","single-threaded");
x.t("session","group");
x.t("session","used");
x.t("session","object");
x.t("filtering","work");
x.t("methods","session");
x.t("continue","supported");
x.t("destination","messagelistener");
x.t("destination","messages");
x.t("destination","messageconsumer");
x.t("topicconnection","connection");
x.t("topicsubscriber","message");
x.t("string","contains");
x.t("earlier","jms");
x.t("encapsulates","physical");
x.t("developing","ems");
x.t("1.0.2b","interfaces");
x.t("1.0.2b","description");
x.t("1.0.2b","programming");
x.t("1.0.2b","specification");
x.t("facilities","interfaces");
x.t("facilities","specific");
x.t("selector","string");
x.t("supported","may");
x.t("point","(queues)");
x.t("point","point");
x.t("registered","specific");
x.t("involved","jms");
x.t("acts","asynchronous");
x.t("syntax","message");
x.t("syntax","expression");
x.t("1.1","interfaces");
x.t("1.1","common");
x.t("1.1","1.0.2b");
x.t("1.1","specific");
x.t("1.1","programming");
x.t("1.1","specification");
x.t("developed","applications");
x.t("messages","transacted");
x.t("messages","destination");
x.t("messages","message");
x.t("messages","sent");
x.t("managed","server");
x.t("implements","jms");
x.t("chapter","illustrate");
x.t("chapter","developing");
x.t("may","deprecated");
x.t("selectors","optional");
x.t("topicpublisher","message");
x.t("listeners","registered");
x.t("types","message");
x.t("messageselector","messageselector");
x.t("messageselector","message");
x.t("client","application");
x.t("code","examples");
x.t("groups","sessions");
x.t("producer","object");
x.t("consumer","message");
x.t("consumer","object");
x.t("previous","interface");
x.t("queueconnectionfactory","topicconnectionfactory");
x.t("message","listener");
x.t("message","provider");
x.t("message","selector");
x.t("message","selectors");
x.t("message","listeners");
x.t("message","groups");
x.t("message","producer");
x.t("message","consumer");
x.t("message","message");
x.t("message","bodies");
x.t("message","several");
x.t("message","producers");
x.t("message","consumers");
x.t("tibco","software");
x.t("event","handler");
x.t("bodies","available");
x.t("sessions","transacted");
x.t("sessions","session");
x.t("instances","message");
x.t("figure","jms");
x.t("figure","illustrates");
x.t("specific","interfaces");
x.t("specific","messageconsumer");
x.t("specific","topics");
x.t("queuereceiver","topicsubscriber");
x.t("several","types");
x.t("programming","model");
x.t("connections","ems");
x.t("connections","used");
x.t("models","interfaces");
x.t("expression","syntax");
x.t("expression","based");
x.t("queueconnection","topicconnection");
x.t("messageproducer","queuesender");
x.t("messageconsumer","messageselector");
x.t("messageconsumer","queuebrowser");
x.t("transfer","filtering");
x.t("optional","filters");
x.t("future","releases");
x.t("newly","developed");
x.t("examples","chapter");
x.t("defined","specific");
x.t("topicsession","session");
x.t("received","single");
x.t("received","normally");
x.t("application","jms");
x.t("application","transfer");
x.t("asynchronous","event");
x.t("specification","refers");
x.t("specification","older");
x.t("specification","jms");
x.t("specification","ems");
x.t("specification","earlier");
x.t("specification","chapter");
x.t("specification","newly");
x.t("specification","defined");
x.t("specification","applications");
x.t("deprecated","future");
x.t("structure","jms");
x.t("queuebrowser","queuereceiver");
x.t("destinations","dynamically");
x.t("topics","queue");
x.t("topics","queues");
x.t("transaction","messageproducer");
x.t("subset","sql92");
x.t("applications","jms");
x.t("applications","using");
x.t("work","message");
x.t("based","subset");
x.t("created","session");
x.t("created","managed");
x.t("used","create");
x.t("used","sending");
x.t("used","jms");
x.t("used","application");
x.t("used","either");
x.t("either","topics");
x.t("model","summary");
x.t("model","jms");
x.t("model","used");
x.t("using","methods");
x.t("using","point");
x.t("producers","message");
x.t("consumers","messages");
x.t("discontinue","older");
x.t("sent","destination");
x.t("sent","received");
x.t("queuesender","topicpublisher");
x.t("(topics)","models");
x.t("object","summary");
x.t("object","creates");
x.t("object","acts");
x.t("object","tibco");
x.t("object","created");
x.t("object","used");
x.t("server","connection");
x.t("server","clients");
x.t("contains","expression");
x.t("dynamically","using");
}
